TagLib::RIFF::AIFF::File Class Reference

An implementation of TagLib::File with AIFF specific methods. More...

`#include <aifffile.h>`

Inheritance diagram for TagLib::RIFF::AIFF::File:
[legend]
Collaboration diagram for TagLib::RIFF::AIFF::File:
[legend]

## Public Member Functions

| File (FileName file, bool readProperties=true, Properties::ReadStyle propertiesStyle=Properties::Average, ID3v2::FrameFactory *frameFactory=nullptr)
| File (IOStream *stream, bool readProperties=true, Properties::ReadStyle propertiesStyle=Properties::Average, ID3v2::FrameFactory *frameFactory=nullptr)
| ~File () override
| File (const File &)=delete
File & | operator= (const File &)=delete
ID3v2::Tag * | tag () const override
PropertyMap | properties () const override
void | removeUnsupportedProperties (const StringList &unsupported) override
PropertyMap | setProperties (const PropertyMap &) override
Properties * | audioProperties () const override
bool | save () override
bool | save (ID3v2::Version version)
bool | hasID3v2Tag () const
Public Member Functions inherited from TagLib::RIFF::File
| ~File () override
| File (const File &)=delete
File & | operator= (const File &)=delete
Public Member Functions inherited from TagLib::File
| File (const File &)=delete
File & | operator= (const File &)=delete
FileName | name () const
virtual StringList | complexPropertyKeys () const
virtual List< VariantMap > | complexProperties (const String &key) const
virtual bool | setComplexProperties (const String &key, const List< VariantMap > &value)
ByteVector | readBlock (size_t length)
void | writeBlock (const ByteVector &data)
offset_t | find (const ByteVector &pattern, offset_t fromOffset=0, const ByteVector &before=ByteVector())
offset_t | rfind (const ByteVector &pattern, offset_t fromOffset=0, const ByteVector &before=ByteVector())
void | insert (const ByteVector &data, offset_t start=0, size_t replace=0)
void | removeBlock (offset_t start=0, size_t length=0)
bool | readOnly () const
bool | isOpen () const
bool | isValid () const
void | seek (offset_t offset, Position p=Beginning)
void | clear ()
offset_t | tell () const
offset_t | length ()

## Static Public Member Functions

static bool | isSupported (IOStream *stream)

## Friends

class | Properties

## Additional Inherited Members

Public Types inherited from TagLib::File
enum | Position { Beginning , Current , End }
enum | StripTags { StripNone , StripOthers }
enum | DuplicateTags { Duplicate , DoNotDuplicate }
Protected Types inherited from TagLib::RIFF::File
enum | Endianness { BigEndian , LittleEndian }
Protected Member Functions inherited from TagLib::RIFF::File
| File (FileName file, Endianness endianness)
| File (IOStream *stream, Endianness endianness)
unsigned int | riffSize () const
unsigned int | chunkCount () const
offset_t | chunkOffset (unsigned int i) const
unsigned int | chunkDataSize (unsigned int i) const
unsigned int | chunkPadding (unsigned int i) const
ByteVector | chunkName (unsigned int i) const
ByteVector | chunkData (unsigned int i)
void | setChunkData (unsigned int i, const ByteVector &data)
void | setChunkData (const ByteVector &name, const ByteVector &data)
void | setChunkData (const ByteVector &name, const ByteVector &data, bool alwaysCreate)
void | removeChunk (unsigned int i)
void | removeChunk (const ByteVector &name)
Protected Member Functions inherited from TagLib::File
| File (FileName fileName)
| File (IOStream *stream)
void | setValid (bool valid)
void | truncate (offset_t length)
Static Protected Member Functions inherited from TagLib::File
static unsigned int | bufferSize ()

## Detailed Description

An implementation of TagLib::File with AIFF specific methods.

This implements and provides an interface for AIFF files to the TagLib::Tag and TagLib::AudioProperties interfaces by way of implementing the abstract TagLib::File API as well as providing some additional information specific to AIFF files.

## Constructor & Destructor Documentation

## File() [1/3]

TagLib::RIFF::AIFF::File::File | ( | FileName | file,
|  | bool | readProperties = true,
|  | Properties::ReadStyle | propertiesStyle = Properties::Average,
|  | ID3v2::FrameFactory * | frameFactory = nullptr )

Constructs an AIFF file from file. If readProperties is `true` the file's audio properties will also be read.

Note
  In the current implementation, propertiesStyle is ignored.

If this file contains an ID3v2 tag, the frames will be created using frameFactory (default if null).

References TagLib::AudioProperties::Average.

Referenced by File(), and operator=().

## File() [2/3]

TagLib::RIFF::AIFF::File::File | ( | IOStream * | stream,
|  | bool | readProperties = true,
|  | Properties::ReadStyle | propertiesStyle = Properties::Average,
|  | ID3v2::FrameFactory * | frameFactory = nullptr )

Constructs an AIFF file from stream. If readProperties is `true` the file's audio properties will also be read.

Note
  TagLib will not take ownership of the stream, the caller is responsible for deleting it after the File object.
  In the current implementation, propertiesStyle is ignored.

If this file contains an ID3v2 tag, the frames will be created using frameFactory (default if null).

References TagLib::AudioProperties::Average.

## ~File()

TagLib::RIFF::AIFF::File::~File | ( |  | ) |

override virtual

Destroys this instance of the File.

Reimplemented from TagLib::File.

## File() [3/3]

TagLib::RIFF::AIFF::File::File | ( | const File & |  | ) |

delete

References File().

## Member Function Documentation

## audioProperties()

Properties * TagLib::RIFF::AIFF::File::audioProperties | ( |  | ) | const

override virtual

Returns the AIFF::Properties for this file. If no audio properties were read then this will return a null pointer.

Implements TagLib::File.

References Properties.

## hasID3v2Tag()

bool TagLib::RIFF::AIFF::File::hasID3v2Tag | ( |  | ) | const

Returns whether or not the file on disk actually has an ID3v2 tag.

See also
  ID3v2Tag()

## isSupported()

bool TagLib::RIFF::AIFF::File::isSupported | ( | IOStream * | stream | ) |

static

Check if the given stream can be opened as an AIFF file.

Note
  This method is designed to do a quick check. The result may not necessarily be correct.

## operator=()

File & TagLib::RIFF::AIFF::File::operator= | ( | const File & |  | ) |

delete

References File().

## properties()

PropertyMap TagLib::RIFF::AIFF::File::properties | ( |  | ) | const

override virtual

Implements the unified property interface – export function. This method forwards to ID3v2::Tag::properties().

Reimplemented from TagLib::File.

## removeUnsupportedProperties()

void TagLib::RIFF::AIFF::File::removeUnsupportedProperties | ( | const StringList & | properties | ) |

override virtual

Removes unsupported properties, or a subset of them, from the file's metadata. The parameter properties must contain only entries from properties().unsupportedData().

Reimplemented from TagLib::File.

## save() [1/2]

bool TagLib::RIFF::AIFF::File::save | ( |  | ) |

override virtual

Saves the file.

Implements TagLib::File.

## save() [2/2]

bool TagLib::RIFF::AIFF::File::save | ( | ID3v2::Version | version | ) |

Save using a specific ID3v2 version (e.g. v3)

## setProperties()

PropertyMap TagLib::RIFF::AIFF::File::setProperties | ( | const PropertyMap & |  | ) |

override virtual

Implements the unified property interface – import function. This method forwards to ID3v2::Tag::setProperties().

Reimplemented from TagLib::File.

## tag()

ID3v2::Tag * TagLib::RIFF::AIFF::File::tag | ( |  | ) | const

override virtual

Returns the Tag for this file.

Note
  This always returns a valid pointer regardless of whether or not the file on disk has an ID3v2 tag. Use hasID3v2Tag() to check if the file on disk actually has an ID3v2 tag.

See also
  hasID3v2Tag()

Implements TagLib::File.

## Friends And Related Symbol Documentation

## Properties

friend class Properties

friend

References Properties, and TAGLIB_MSVC_SUPPRESS_WARNING_NEEDS_TO_HAVE_DLL_INTERFACE.

Referenced by audioProperties(), and Properties.

The documentation for this class was generated from the following file:

- aifffile.h